<?php
/**
* Archivo modelo de agenda
*
* @package m_agenda.php
* @copyright 2007 2008 Luis Jorge Martin Aznar
* @version 1.0
* @author Luis Jorge Martin Aznar
* creacion= 12-octubre-2007
* modificacion= 20-noviembre-2007 
*
* generator= gedit
*
* This file is part of PreAdmin ©.
*
*    This program is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation, either version 3 of the License.
*
*    This program is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with this program.  If not, see <http://www.gnu.org/licenses/>.  
*/
/**
* Incluye el fichero de clases para postgres
*
*/
include_once('../modelo/postgres.php');


/**
* Funcion para obtener los tramos horarios de la agenda
*
* Con esta función se obtienen los tramos horarios de la agenda en los que se pueden anotar citas.
* Se puede personalizar en la instalación.
* @param . No tiene parámetros de entrada
* @return Un array con los valores de la base de datos hora inicial y orden
*/



function limpiabd()
{

$conecto=new bd();
$conexion=$conecto->conectar();
	if ($conexion=="conectado")
	{
	$conecto->vacumm();
	if($conecto!="")//nos aseguramos que hay coincidencia
	{
		$result = $conecto;
	}else{
		$result = '0';
	}
	return $result;
	}
unset ($conecto);
}

function reindexa($bd)
{
$base=$bd;
$conecto=new bd();
$conexion=$conecto->conectar();
	if ($conexion=="conectado")
	{
	$conecto->reindex($base);
	if($conecto!="")//nos aseguramos que hay coincidencia
	{
		$result = $conecto;
	}else{
		$result = '0';
	}
	return $result;
	}
unset ($conecto);
}


?>
